Actions & tasks
Complete an action
Marks the action done (or open again with done: false). done_on sets the completion day (default now).
Authorization
AuthorizationheaderrequiredBearer token: API key (sk_…), OAuth access token (mcp_…) or mobile session (xk_…).
Module: TasksScope:
crm.writePath parameters
kindstringrequiredAction kind:
task, visit (next action of a visit), demo (next action of a trial), step (opportunity step).Values
taskvisitdemostepridintegerrequiredAction id (
id in the list).Body application/json
donebooleanoptionalDone; flips the state when omitted.
done_onstringoptionalCompletion day (YYYY-MM-DD).
resultstringoptionalResult note.
Errors
| HTTP | error | Meaning |
|---|---|---|
403 | forbidden | You may not see / edit this record. |
404 | not_found | Record not found. |
Request
curl -X POST https://ornek.solk.app/api/v1/actions/task/23/done \
-H "Authorization: Bearer $SOLK_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"done": true,
"done_on": "2026-10-02",
"result": "Liste e-postayla gönderildi"
}'const res = await fetch("https://ornek.solk.app/api/v1/actions/task/23/done", {
method: "POST",
headers: {
Authorization: `Bearer ${process.env.SOLK_API_KEY}`,
"Content-Type": "application/json",
},
body: JSON.stringify({
"done": true,
"done_on": "2026-10-02",
"result": "Liste e-postayla gönderildi"
}),
});
const data = await res.json();import os, requests
r = requests.post(
"https://ornek.solk.app/api/v1/actions/task/23/done",
headers={"Authorization": f"Bearer {os.environ['SOLK_API_KEY']}"},
json={
"done": True,
"done_on": "2026-10-02",
"result": "Liste e-postayla gönderildi"
},
)
print(r.json())Response
{
"action": {
"act": {
"addr": "Bursa",
"c": 31,
"mail": "emre.yildiz@kuzeyplastik.com.tr",
"n": "Kuzey Plastik Sanayi",
"tel": "+90 532 555 11 22",
"url": "/customers/31",
"wa": "905325551122",
"who": "Emre Yıldız"
},
"chain_after": [],
"chain_before": [],
"customer": "Kuzey Plastik Sanayi",
"customer_id": 31,
"date": "2026-10-05",
"detail": "2027 listesi, €/kg\n[Ertelendi 04.10.2026 → 05.10.2026] Liste onayı bekleniyor",
"done": true,
"done_at": "2026-10-02T20:07:01",
"editable": true,
"icon": "📋",
"id": 23,
"key": "task:23",
"kind": "task",
"label": "Fiyat listesini gönder",
"opp": "",
"opp_id": null,
"others": [
{
"customer": "",
"customer_id": null,
"date": "2026-10-05",
"icon": "⚡",
"id": 106,
"key": "visit:106",
"kind": "visit",
"label": "Teklif gönder",
"opp": "Streç film tedariki",
"opp_id": 53,
"src": "Ziyaret",
"state": "soon",
"url": "/action/visit/106"
}
],
"result": "Liste e-postayla gönderildi",
"rid": "00TxuMVTniYx44l",
"src": "Görev",
"state": "done",
"threads": [],
"threads_n": 0,
"user": {
"full_name": "Deniz Aksoy",
"id": 1,
"role": "admin",
"role_label": "Yönetici",
"username": "admin"
}
},
"ok": true
}Example responses were captured from a v22 installation running sample data; lists are shortened to two items.